# encoding: UTF-8
module SiteHelper
  def table_line_for(label, account, htmlclass='', show_balance=1)
   %Q{<tr #{"class=\"#{htmlclass}#\"" if htmlclass }>
        <td>
          #{link_to h(label), account}&nbsp;[#{link_to '+', new_transfer_path(:from_account_id=>account.id) }]
        </td>
         <td>#{ (show_balance == 1) ? (-account.balance).to_s : '&nbsp;' }</td>
     </tr>}.html_safe
  end

  def table_line_for_with_incomings(label, account, htmlclass='', show_balance=1)
   %Q{<tr #{'class="'+htmlclass+'"' if htmlclass }>
        <td>
          #{ link_to h(label), :controller=>'account', :action=>'show', :id=>account }
          [#{ link_to '+', :controller=>'transfers', :action=>'new' }]
        </td>
         <td>#{ (show_balance == 1) ? account.balance.to_s : '&nbsp;' }</td>
     </tr>}.html_safe
  end

  def unreported_amount
    sum = {}
    (Account.find('3644c25c-0195-11dd-9928-0013d4bc1a7d').outgoing_transfers+
     Account.find('c0e3259e-0194-11dd-a278-0013d4bc1a7d').outgoing_transfers).
      select{ |tr| tr.account_to.seq.match(/^x?44/) }.each{ |t| sum += t.amount }
    sum
  end
  
  def link_to_us_register_with_new_transfers_count(account)
    utcount = account.unreconciled_transfers_count
    pom = link_to account, us_report_account_path(account)
    if utcount>0
#      pom += " with <b>#{ utcount } unreconciled transfers</b>".html_safe
    else
#      pom += " without unreconciled transfers".html_safe
    end
    pom
  end
  

end